<div *ngIf="!formulario">
  <mat-progress-bar mode="buffer">
    
  </mat-progress-bar>
</div>

<div class="divCard" *ngIf="formulario">
  <mat-card>
    <mat-card-header>
      <mat-card-title><h3>Cadastro de categorias</h3></mat-card-title>
    </mat-card-header>

    <form [formGroup]="formulario" (ngSubmit)="EnviarFormulario()">

      <div class = "cardErros" *ngIf="erros.length > 0">
        <mat-card>
          <mat-card-header>
            <mat-card-title>Algo deu errado :(</mat-card-title>
          </mat-card-header>
          <mat-divider></mat-divider>
          <mat-card-content>
            <div class = "divErros">
              <h4 class="textoErros" *ngFor="let erro of erros">
                {{erro}}
              </h4>
            </div>
          </mat-card-content>
        </mat-card>
      </div>

      <mat-card-content>

        <div>
          <mat-form-field>
            <mat-label>Nome</mat-label>

              <input type="text" matInput formControlName="nome" placeholder="Digite o nome da categoria" required=""/>

              <mat-error *ngIf="propriedade.nome.touched && propriedade.nome.invalid">
                <sup>*</sup>Digite o nome da categoria
              </mat-error>

          </mat-form-field>
        </div>

        <div>
          <mat-form-field>
            <mat-label>Ícone</mat-label>
              <input type="text" matInput formControlName="icone" placeholder="Digite o codigo do ícone" required=""/>

              <mat-error *ngIf="propriedade.icone.touched && propriedade.icone.invalid">
                <sup>*</sup>Digite o código do ícone
              </mat-error>

          </mat-form-field>
        </div>

        <div>
          <mat-form-field>
            <mat-label>Selecione o tipo adequado</mat-label>
              <mat-select formControlName="tipoId" required="">
                <mat-option *ngFor="let tipo of tipos" [value] = "tipo.tipoId">{{tipo.nome}}</mat-option>
              </mat-select>

              <mat-error *ngIf="propriedade.tipoId.touched && propriedade.tipoId.invalid">
                <sup>*</sup>Selecione o tipo adequado
              </mat-error>

          </mat-form-field>
        </div>

      </mat-card-content>

      <mat-divider></mat-divider>

      <mat-card-actions>
        <div>
          <button type="submit" mat-stroked-button="primary" [disabled]="formulario.invalid">Salvar</button>
          <button mat-stroked-button type="button" (click)="VoltarListagem()">Voltar</button>
        </div>
      </mat-card-actions>

    </form>
  </mat-card>
</div>
